> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Link tests to specification

> Link one or more tests to a specification. See [Specifications](https://docs.galtea.ai/concepts/product/specification).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json post /specifications/{id}/tests
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /specifications/{id}/tests:
    post:
      tags:
        - specifications
      summary: Link tests to specification
      description: >-
        Link one or more tests to a specification. See
        [Specifications](https://docs.galtea.ai/concepts/product/specification).
      operationId: linkTestsToSpecification
      parameters:
        - name: id
          in: path
          description: Specification ID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - testIds
              properties:
                testIds:
                  type: array
                  items:
                    type: string
                  description: Array of test IDs to link
      responses:
        '204':
          description: Tests linked successfully
        '400':
          description: Invalid request body
        '401':
          description: Unauthorized
        '404':
          description: Specification not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````